<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetColumnSetID Method (IEdmVault22)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault22 Interface : SetColumnSetID Method (IEdmVault22)

Visual Basic
C#
C++/CLI

mlColumnSetID
  ID of column set to register

Sets the specified column set ID in the user's registry.

# Syntax

Visual Basic |
--- | ---

    Sub SetColumnSetID( _
       ByVal mlColumnSetID As System.Integer _
    )

C# |
--- | ---

    void SetColumnSetID(
       System.int mlColumnSetID
    )

C++/CLI |
--- | ---

    void SetColumnSetID(
    &   System.int mlColumnSetID
    )

#### Parameters

mlColumnSetID
  ID of column set to register

# Example

See the IEdmVault22 example

# Remarks

Before calling this method, use IEdmVault22::GetColumnSets to obtain all valid column set IDs for the currently logged-in user of this vault.

This method stores the column set ID at the following location in the registry:

User_Computer\HKEY_CURRENT_USER\SOFTWARE\SolidWorks\Applications\PDMWorks Enterprise\CTDMListView\ColumnSet\vault_name\user_name

After calling this method, call IEdmVault22::GetCurrentColumnSet to verify the current column set was changed.

# See Also

####

IEdmVault22 Interface
IEdmVault22 Members

# Availability

SOLIDWORKS PDM Professional 2024